cross platform gui lib for lua
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 

42 lines
899 B

  1. package = "lui"
  2. version = "0.3-1"
  3. source = {
  4. url = "http://www.tset.de/downloads/lui-0.3-1.tar.gz"
  5. }
  6. description = {
  7. summary = "A gui library for lua that uses native UI elements on all supported platforms",
  8. detailed = [[
  9. libui.
  10. ]],
  11. homepage = "http://www.tset.de/lui/",
  12. license = "MIT",
  13. maintainer = "Gunnar Zötl <gz@tset.de>"
  14. }
  15. supported_platforms = {
  16. "unix"
  17. }
  18. dependencies = {
  19. "lua >= 5.1, <= 5.3"
  20. }
  21. build = {
  22. type = "make",
  23. copy_directories = {
  24. "doc",
  25. "samples"
  26. },
  27. build_variables = {
  28. CFLAGS = "$(CFLAGS)",
  29. LIBFLAG = "$(LIBFLAG)",
  30. LUA = "$(LUA)",
  31. LUA_BINDIR = "$(LUA_BINDIR)",
  32. LUA_INCDIR = "$(LUA_INCDIR)",
  33. LUA_LIBDIR = "$(LUA_LIBDIR)"
  34. },
  35. install_variables = {
  36. INST_CONFDIR = "$(CONFDIR)",
  37. INST_LIBDIR = "$(LIBDIR)",
  38. INST_LUADIR = "$(LUADIR)",
  39. INST_PREFIX = "$(PREFIX)"
  40. }
  41. }